# Method: accounts.publisherProfiles.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.ListPublisherProfilesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles/list#try-it)

List all publisher profiles visible to the buyer

### HTTP request

`GET https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/publisherProfiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Specify the number of results to include per page. |
| `pageToken` | `string` The page token as return from ListPublisherProfilesResponse. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for profiles visible to the buyer.

| JSON representation ||
|---|---|
| ``` { "publisherProfiles": [ { object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles#PublisherProfile`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `publisherProfiles[]` | ``object (`https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.publisherProfiles#PublisherProfile`)`` The list of matching publisher profiles. |
| `nextPageToken` | `string` List pagination support |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`